eureka.client.serviceUrl.defaultZone=http://172.16.10.72:10001/eureka/
eureka.client.registry-fetch-interval-seconds=5
eureka.instance.prefer-ip-address=true
management.endpoint.health.show-details=always
management.endpoints.web.exposure.include=*
eureka.instance.health-check-url-path=/actuator/health
eureka.instance.lease-expiration-duration-in-seconds=10
eureka.instance.lease-renewal-interval-in-seconds=5
eureka.instance.metadata-map.management.context-path=${server.servlet.context-path}/actuator
eureka.instance.status-page-url-path=/actuator/info
eureka.instance.metadata-map.management.api-docs=http://localhost:${server.port}${server.servlet.context-path}/doc.html

ribbon.eureka.enabled = true
ribbon.ConnectTimeout = 5000
ribbon.ReadTimeout = 6000
ribbon.OkToRetryOnAllOperations = true
ribbon.MaxAutoRetriesNextServer = 2
ribbon.MaxAutoRetries = 1

#DB properties:
spring.datasource.url = jdbc:mysql://172.16.6.60:3306/safety-business-3.0\
  .1?useUnicode=true&characterEncoding=utf-8&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai
spring.datasource.username= root
spring.datasource.password= root_123
spring.datasource.driver-class-name = com.mysql.jdbc.Driver
spring.datasource.hikari.maxLifetime = 1765000
spring.datasource.hikari.maximum-pool-size = 10
spring.datasource.testWhileIdle = true
spring.datasource.validationQuery = SELECT 1

security.password=a1234560
security.loginId=jc_wjk006
security.productWeb=STUDIO_APP_WEB
security.productApp=STUDIO_APP_MOBILE
security.appKey=studio_normalapp_3168830

#redis 配置
spring.redis.database=0
spring.redis.host=172.16.10.85
spring.redis.port=6379
spring.redis.password=amos2019Redis
spring.redis.jedis.pool.max-active=200
spring.redis.jedis.pool.max-wait=-1
spring.redis.jedis.pool.max-idle=10
spring.redis.jedis.pool.min-idle=0
spring.redis.timeout=1000

#巡检计划定时任务
jobs.cron = 0 0/1 22-23 * * ?

#邮件配置
#params.mailPush = false
#spring.mail.host:
#spring.mail.username:
#spring.mail.password:
#spring.mail.port=
#mail.fromMail.addr =
#spring.mail.default-encoding=UTF-8
#spring.mail.properties.mail.smtp.auth: true
#spring.mail.properties.mail.smtp.starttls.enable: true
#spring.mail.properties.mail.smtp.starttls.required: true
#spring.mail.properties.mail.smtp.ssl.enable:true

#jpush 推送配置项
params.isPush = false

params.work.flow.processDefinitionKey=hazardManagement
params.work.flow.address=http://172.16.10.80:30040
params.spc.address=http://172.16.3.89:9001

#websocket
params.remoteWebsocketUrl=http://39.100.241.164:8080/
#websocket send message url
params.remoteWebSocketSendMsgUrl=http://39.100.241.164:10601/

#上传文件配置
spring.http.multipart.maxFileSize = 80480000
spring.http.multipart.MaxRequestSize = 80480000
windows.img.path = D:\\
linux.img.path = /

## emqx
emqx.clean-session=true
emqx.client-id=${spring.application.name}-${random.int[1024,65536]}-1
emqx.broker=tcp://172.16.10.85:1883
emqx.user-name=super
emqx.password=a123456
emqx.max-inflight=1000

file.url=http://39.98.45.134:9000/

iot.fegin.name=AMOS-API-IOT
control.fegin.name=JCS-API-CONTROL

supervision.feign.name=AMOS-SUPERVISION-API
jcs.fegin.name=JCS

onSite.confirm.roleName=Person_charge_unit_fire_protection_supervision_inspection